Page MenuHomePhabricator

Adjust datetime in email confirmation email
Closed, ResolvedPublic

Description

My account creation time on release-de-wiki is 3. February 2011, 21:28, but the confirmation code will expire at 10. February 2011, *20*:28. Looks like UTC, because timezone of that wiki is +01:00.

I have seen, that in r32557 the date format was changed from content language to userlanguage, but the time adjust was not removed, and so the time in the e-mail is UTC, I think.

Thanks.


Version: 1.18.x
Severity: enhancement

Details

Reference
bz27158

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:13 PM
bzimport added a project: MediaWiki-Email.
bzimport set Reference to bz27158.
brion added a comment.Feb 5 2011, 12:27 AM

User::sendConfirmationMail() fills this out; it's currently disabling timezone adjustment on the output.

Should double-check if $wgUser is always correct here (what about when an existing logged-in user creates someone else's account?) -- if it's safe, then can just pass true to let the user/default settings be used. Otherwise, need to pull the setting from the user and pass it in direct as fourth parameter to timeanddate() etc.

Change 119936 had a related patch set uploaded by 01tonythomas:
Adjust datetime in email confirmation email

https://gerrit.wikimedia.org/r/119936

(In reply to Brion Vibber from comment #1)

User::sendConfirmationMail() fills this out; it's currently disabling
timezone adjustment on the output.
Should double-check if $wgUser is always correct here (what about when an
existing logged-in user creates someone else's account?) -- if it's safe,
then can just pass true to let the user/default settings be used. Otherwise,
need to pull the setting from the user and pass it in direct as fourth
parameter to timeanddate() etc.

Yeah, the method change I58b2f6a0a37d modifies doesn't seem to be tied to the global wgUser in any way so it should either use the wiki standard timezone or the target user, not the global user.

Change 119936 had a related patch set uploaded (by Qgil):
Adjust date and time in email confirmation email

https://gerrit.wikimedia.org/r/119936

Patch-For-Review

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2015, 4:06 PM

Change 256113 had a related patch set uploaded (by Umherirrender):
Adjust datetime in email confirmation email

https://gerrit.wikimedia.org/r/256113

Change 119936 abandoned by Legoktm:
Adjust date and time in email confirmation email

Reason:
Superseded by b0a45843e75391a6fa8f85a5773515a23b7d43c7

https://gerrit.wikimedia.org/r/119936

Change 256113 merged by jenkins-bot:
Adjust datetime in email confirmation email

https://gerrit.wikimedia.org/r/256113

Umherirrender closed this task as Resolved.Dec 14 2015, 6:15 PM
Umherirrender claimed this task.
Umherirrender set Security to None.